<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\Setting\Modals;

use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Forms\InfoForm;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Modals\ModalConfirmDanger;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Buttons\ModalActionButtons\BaseCancelButton;

class InfoModal extends ModalConfirmDanger implements ClientArea
{

    public function initContent()
    {
        $this->initIds('infoSettingModal');
        $this->addForm(new InfoForm());
    }

    protected function initActionButtons()
    {
        if (!empty($this->actionButtons))
        {
            return $this;
        }
        $this->addActionButton(new BaseCancelButton());
        return $this;
    }
}